PETSc version 3.17.4
Fix/Edit manual page

# MatGetBrowsOfAcols

Creates a SeqAIJ matrix by taking rows of B that equal to nonzero columns of local A

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetBrowsOfAcols(Mat A,Mat B,MatReuse scall,IS *rowb,IS *colb,Mat *B_seq)

Collective on Mat

### Input Parameters

| A | - the first matrix in mpiaij format
| B | - the second matrix in mpiaij format
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameters

| rowb | - On input index sets of rows of B to extract (or NULL), modified on output
| colb | - On input index sets of columns of B to extract (or NULL), modified on output
| B_seq | - the sequential matrix generated

### Level

developer

### Location

src/mat/impls/aij/mpi/mpiaij.c

### Implementations

MatGetBrowsOfAcols_MPIXAIJ in src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages